All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
multi_student_t_rng.hpp File Reference
`#include <boost/math/special_functions/gamma.hpp>`
`#include <boost/math/special_functions/fpclassify.hpp>`
`#include <boost/random/variate_generator.hpp>`
`#include <stan/math/prim/mat/err/check_ldlt_factor.hpp>`
`#include <stan/math/prim/scal/err/check_size_match.hpp>`
`#include <stan/math/prim/mat/err/check_symmetric.hpp>`
`#include <stan/math/prim/scal/err/check_finite.hpp>`
`#include <stan/math/prim/scal/err/check_not_nan.hpp>`
`#include <stan/math/prim/scal/err/check_positive.hpp>`
`#include <stan/math/prim/mat/fun/multiply.hpp>`
`#include <stan/math/prim/mat/fun/dot_product.hpp>`
`#include <stan/math/prim/mat/fun/subtract.hpp>`
`#include <stan/math/prim/scal/fun/log1p.hpp>`
`#include <stan/math/prim/scal/fun/constants.hpp>`
`#include <stan/math/prim/mat/prob/multi_normal_rng.hpp>`
`#include <stan/math/prim/scal/prob/inv_gamma_rng.hpp>`
`#include <stan/math/prim/scal/meta/include_summand.hpp>`
`#include <cstdlib>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<class RNG >
Eigen::VectorXd | stan::math::multi_student_t_rng (const double nu, const Eigen::Matrix< double, Dynamic, 1 > &mu, const Eigen::Matrix< double, Dynamic, Dynamic > &s, RNG &rng)

[ Stan Home Page ] © 2011–2015, Stan Development Team.